# Tiny blocks painting table chest minecart
execute as @e[type=chest_minecart,tag=pk_head_tiny_blocks_painting_table] at @s run function pk_head:tiny_blocks_painting_table/watch/tick

# If the tiny blocks painting table AEC losts the chest minecart (hit in creative mode)
execute as @e[type=area_effect_cloud,tag=pk_head_tiny_blocks_painting_table_aec,predicate=!pk_head:has_passenger_chest_minecart] at @s run function pk_head:tiny_blocks_painting_table/remove/remove_from_aec

# Update dropped item air data to force the render
execute as @e[type=item,tag=pk_head_air_toggling] run function pk_head:item/change_item_air_data

# Villagers
execute as @e[type=villager,tag=!pk_head_stop_watch,tag=!pk_head_mason] run function pk_head:villager/watch_profession
execute as @e[type=villager,tag=!pk_head_stop_watch,tag=pk_head_mason] run function pk_head:villager/watch_mason_level
execute as @e[type=villager,tag=pk_head_stop_watch,tag=pk_head_mason,tag=!pk_head_updated_for_v.1.3.0] run function pk_head:villager/update_old_version_offer

# Secure fallings blocks :
# - If an entity have a risk to cause explosion without destroying blocks, prevent the fallings blocks to be moved
execute store result score %pk_temp PKHeadValue run gamerule mobGriefing
execute if score %pk_temp PKHeadValue matches 0 as @e[type=falling_block,tag=pk_head_tiny_blocks_painting_table_decorative] run data modify entity @s Motion set value [0d,0d,0d]
