# Store all items
data modify storage pk_head:ui CurrentItems set from entity @s Items

# Check output content : 
# - Check if player splited the result 
execute if entity @s[tag=pk_head_has_output_items] if data entity @s Items[{Slot:16b,tag:{pkHeadOutputItemStack:1b}}] run function pk_head:tiny_blocks_painting_table/watch/check_player_splited_output_items
# - If the player set an item in the output's slot
execute if entity @s[tag=!pk_head_has_output_items,tag=!pk_head_output_just_taken] if data entity @s Items[{Slot:16b}].id run function pk_head:tiny_blocks_painting_table/events/ui_changed/give_player_undesired_item_in_output

# Store dedicated slots content containing necessary items
data modify storage pk_head:ui CurrentDedicatedSlots set value []
data modify storage pk_head:ui CurrentDedicatedSlots append from storage pk_head:ui CurrentItems[{Slot:10b,id:"minecraft:red_dye"}]
data modify storage pk_head:ui CurrentDedicatedSlots append from storage pk_head:ui CurrentItems[{Slot:11b,id:"minecraft:yellow_dye"}]
data modify storage pk_head:ui CurrentDedicatedSlots append from storage pk_head:ui CurrentItems[{Slot:12b,id:"minecraft:blue_dye"}]
data modify storage pk_head:ui CurrentDedicatedSlots append from storage pk_head:ui CurrentItems[{Slot:13b,id:"minecraft:quartz_block"}]
data modify storage pk_head:ui CurrentDedicatedSlots append from storage pk_head:ui CurrentItems[{Slot:14b,id:"minecraft:writable_book"}]
execute store result score @s PKHeadFullDedicatedSlots run data get storage pk_head:ui CurrentDedicatedSlots
# If it has no output items
execute if entity @s[tag=pk_head_has_output_items] if score @s PKHeadFullDedicatedSlots matches 5 unless data entity @s Items[{Slot:16b,tag:{pkHeadOutputItemStack:1b}}] run function pk_head:tiny_blocks_painting_table/events/player_took_output_items/trigger
# If all slots are full and contain all necessary items
execute if entity @s[tag=!pk_head_output_just_taken] if score @s PKHeadFullDedicatedSlots matches 5 run function pk_head:tiny_blocks_painting_table/watch/check_dedicated_slots
# If not, remove eventual output item stack and relative tag
execute if score @s PKHeadFullDedicatedSlots matches ..4 run function pk_head:tiny_blocks_painting_table/watch/check_dedicated_slots_empty

# UI items checks
scoreboard players set %pk_head_ui_changed PKHeadValue 0 
data modify storage pk_head:ui CurrentUI set from storage pk_head:ui CurrentItems
data remove storage pk_head:ui CurrentUI[{Slot:10b}]
data remove storage pk_head:ui CurrentUI[{Slot:11b}]
data remove storage pk_head:ui CurrentUI[{Slot:12b}]
data remove storage pk_head:ui CurrentUI[{Slot:13b}]
data remove storage pk_head:ui CurrentUI[{Slot:14b}]
data remove storage pk_head:ui CurrentUI[{Slot:16b}]
data modify storage pk_head:ui CurrentUICheckChange set from storage pk_head:ui CurrentUI
execute store result score %pk_head_ui_changed PKHeadValue run data modify storage pk_head:ui CurrentUICheckChange set from storage pk_head:ui Profile
# - If UI items changed 
execute if score %pk_head_ui_changed PKHeadValue matches 1.. run function pk_head:tiny_blocks_painting_table/events/ui_changed/trigger

tag @s remove pk_head_output_just_taken